Geo::GoogleEarth::Pluggable::Placemark(3pm)

NAME
Geo::GoogleEarth::Pluggable::Placemark - Base Object for Geo::GoogleEarth::Pluggable Placemarks

SYNOPSIS
  use base qw{Geo::GoogleEarth::Pluggable::Placemark};

DESCRIPTION
The is the base of all Geo::GoogleEarth::Pluggable packages.

USAGE

METHODS

  type

  style
Sets or returns the Placemark Style or StyleMap object.

style=>$style is a short cut for styleUrl=>$style->url

  styleUrl
This overrides style->url if defined.

  LookAt
Sets or returns the LookAt Object

  visibility
Sets or returns visibility. The value is either 1 or 0 but defaults to undef which the same as 1.

  my $visibility=$placemark->visibility;

  node

  coordinates
The coordinates array is used consistantly for all placemark objects.

  my $coordinates=$placemark->coordinates(
                              [
                                [$lon, $lat, $alt],
                                {lat=>$lat, lon=>$lon, alt=>$alt},
                                GPS::Point,
                                Geo::Point,
                                Net::GPSD::Point,
                              ]
                            );

  my $coordinates=$placemark->coordinates(
                             Geo::Line,          #TODO
                            );

  coordinates_stringify

  point_stringify
  my $string=$placemark->point_stringify($point); #returns "$lon,$lat,$alt"

  point_normalize
Most of this code was taken from GPS::Point->initializeMulti

  my $data=$placemark->point_normalize($point); #returns {lat=>$lat,lon=>$lon,alt=>$alt}

BUGS
Please log on RT and send to the geo-perl email list.

SUPPORT
DavisNetworks.com supports all Perl applications including this package.

AUTHOR
  Michael R. Davis (mrdvt92)
  CPAN ID: MRDVT

COPYRIGHT
This program is free software licensed under the...

  The BSD License

The full text of the license can be found in the LICENSE file included with this module.

SEE ALSO
Geo::GoogleEarth::Pluggable, Scalar::Util, XML::LibXML::LazyBuilder